For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Employer of Record
    • Introduction
    • Employment cost calculator
    • Hiring
    • Accept quote
    • Amendments
  • EOR Endpoints
  • EOR Worker Endpoints
      • POSTAcknowledge a compliance document
      • GETDownload employee compliance document template
      • GETDownload submitted compliance document
      • GETList of employee compliance documents
      • POSTUpload employee compliance document
LogoLogo
SupportDeel Home
EOR Worker EndpointsEOR Worker Compliance

List of employee compliance documents

GET
/eor/workers/compliance-documents
GET
/rest/v2/eor/workers/compliance-documents
$curl https://api.letsdeel.com/rest/v2/eor/workers/compliance-documents \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "documents": [
4 {
5 "id": "9b9fc43a-a90c-4615-ac50-baf1e314b53e",
6 "name": "Passport or National ID",
7 "status": "APPROVED",
8 "country": "US",
9 "fillable": false,
10 "filenames": [
11 "passport_scan.pdf"
12 ],
13 "description": "Please upload a clear copy of your passport or national ID card.",
14 "is_optional": false,
15 "uploaded_at": "2025-01-05T14:30:00.000Z",
16 "has_template": true,
17 "rejection_message": "Document is not clearly readable",
18 "required_in_30_days": false,
19 "is_acknowledgement_only_document": false,
20 "is_consent_required": true
21 }
22 ]
23 }
24}

Returns the list of compliance documents associated with an EOR employee. Token scopes: worker:read

Was this page helpful?
Previous

Upload employee compliance document

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error